gcompris-qt (4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - disable-openssl.diff: refresh/update
  * Disable a test that fails because of the missing voices; patch
    tests-no-voices.diff.

 -- Pino Toscano <pino@debian.org>  Sat, 24 Feb 2024 07:04:46 +0100

gcompris-qt (3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Tue, 13 Jun 2023 23:30:47 +0200

gcompris-qt (3.1-3) unstable; urgency=medium

  * Team upload.
  * Add the missing qt5-image-formats-plugins dependency, needed for reading
    webp images. (Closes: #1033727)

 -- Pino Toscano <pino@debian.org>  Fri, 31 Mar 2023 09:52:43 +0200

gcompris-qt (3.1-2) unstable; urgency=medium

  * Team upload.
  * Add the missing qml-module-qtquick-controls2 dependency. (Closes: #1031277)

 -- Pino Toscano <pino@debian.org>  Sat, 18 Feb 2023 16:03:35 +0100

gcompris-qt (3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update lintian override info to new format:
    + debian/source/lintian-overrides: line 1-6
    + debian/gcompris-qt.lintian-overrides: line 5
  * Update standards version to 4.6.2, no changes needed.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.7
    - bump Qt packages to 5.12.0
    - add libqt5charts5-dev, and qtquickcontrols2-5-dev
  * Pass -DCOMPILE_DOC=ON to cmake to build the docbook documentation as done
    so far.
  * Update the patches:
    - disable-openssl.diff: refresh/update

 -- Pino Toscano <pino@debian.org>  Mon, 23 Jan 2023 06:02:04 +0100

gcompris-qt (2.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Wed, 13 Apr 2022 23:11:30 +0200

gcompris-qt (2.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sun, 27 Feb 2022 13:09:13 +0100

gcompris-qt (2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 24 Feb 2022 20:49:19 +0100

gcompris-qt (2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Pino Toscano <pino@debian.org>  Sat, 22 Jan 2022 10:23:36 +0100

gcompris-qt (2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.9.0
    - drop libqt5xmlpatterns5-dev, no more needed now
  * CI: enable the blhc job.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Fri, 17 Dec 2021 21:18:54 +0100

gcompris-qt (1.1-2) unstable; urgency=medium

  * Team upload.
  * Drop the transitional gcompris, no more needed after two Debian stable
    releases.
  * Bump Standards-Version to 4.6.0, no changes required.
  * CI: disable the blhc job.
  * Update lintian overrides.
  * Stop including /usr/share/dpkg/pkg-info.mk in rules, as it is no more
    needed now.
  * Limit the xauth, and xvfb as !nocheck, as they are needed only when running
    dh_auto_test.

 -- Pino Toscano <pino@debian.org>  Thu, 23 Sep 2021 07:51:26 +0200

gcompris-qt (1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5
  * Update the patches:
    - disable-openssl.diff: refresh
  * Drop DPKG_EXPORT_BUILDFLAGS=1, as it is not needed anymore (the buildsystem
    already gets all the right build flags).
  * Drop DEB_CFLAGS_MAINT_APPEND=-Wall -pedantic, as there are no C sources.
  * Use execute_after_dh_auto_clean to avoid invoking dh_auto_clean manually.
  * Limit the dh_gencontrol override to -indep packages, as it affects only
    one arch:all binary.

 -- Pino Toscano <pino@debian.org>  Sun, 15 Aug 2021 15:01:04 +0200

gcompris-qt (1.0-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Update renamed lintian tag names in lintian overrides.
  * Drop transition for old debug package migration.

  [ Pino Toscano ]
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.3
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
    - stop passing --fail-missing to dh_missing, as it is the default now
  * Update lintian overrides.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Add Rules-Requires-Root: no.
  * Enable the unit tests, as they seem to work fine:
    - add the xauth, and xvfb build dependencies
    - pass -DBUILD_TESTING=ON to cmake
    - run dh_auto_test using xvfb-run
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Thu, 19 Nov 2020 11:49:42 +0100

gcompris-qt (0.97-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add the configuration for the CI on salsa.
  * Update the patches:
    - disable-openssl.diff: refresh
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Bump Standards-Version to 4.4.1, no changes required.
  * Update the descriptions.

 -- Pino Toscano <pino@debian.org>  Sun, 01 Dec 2019 09:30:08 +0100

gcompris-qt (0.96-1) unstable; urgency=medium

  * Team upload.

  [ Simon Quigley ]
  * Change my email to tsimonq2@debian.org now that I am a Debian Developer.

  [ Pino Toscano ]
  * New upstream release.
  * Update copyright.
  * Switch Homepage, and watch file to https.
  * Update lintian overrides.
  * Bump Standards-Version to 4.4.0, no changes required.
  * Disable the OpenSSL requirement, as it is not needed: patch
    disable-openssl.diff.

 -- Pino Toscano <pino@debian.org>  Mon, 08 Jul 2019 21:30:58 +0200

gcompris-qt (0.95-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update Vcs-* fields.
  * Bump Standards-Version to 4.2.1, no changes required.
  * Remove debian/not-installed, outdated, and unused.
  * Rename debian/docs to debian/gcompris-qt.docs, to make it explicit to which
    package it applies.
  * Switch Source to kde.org in copyright.
  * Tighten the gcompris-qt version in the transitional gcompris package.

 -- Pino Toscano <pino@debian.org>  Sun, 23 Dec 2018 10:18:07 +0100

gcompris-qt (0.91-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Do not include debian-qt-kde.mk, since rules basically overrides its job.
  * Fix the dh_auto_configure override, actually calling dh_auto_configure.
  * Switch the cmake parameter BIN_INSTALL_DIR (deprecated name) to
    KDE_INSTALL_BINDIR.
  * Call dh_missing in its own override, instead of the dh_install override.
  * Add the libkf5doctools-dev build dependency to enable the documentation.
  * Update install files.
  * Use /usr/share/dpkg/pkg-info.mk and $(DEB_VERSION) instead of calling
    dpkg-parsechangelog manually.
  * Update lintian overrides.
  * Stop using dh_buildinfo, since it adds little value to the binaries
    - remove the dh-buildinfo build dependency
  * Use the kf5 dh addon, mostly to avoid compressing docbook files.
  * Remove the version from the gcompris-qt recommend in gcompris-qt-data:
    this version will not be available in case of binNMU, and gcompris-qt
    enforces already a strict gcompris-qt-data dependency.
  * Bump Standards-Version to 4.1.4, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 19 May 2018 23:35:47 +0200

gcompris-qt (0.81-2) unstable; urgency=medium

  * Wrap-and-sort.
  * Move libqt5multimedia5-plugins from Recommends to Depends to ensure
    that sound always works (Closes: #892464).
  * Mark gcompris-qt-data as Multi-Arch: foreign.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 10 Mar 2018 20:51:53 -0600

gcompris-qt (0.81-1) unstable; urgency=medium

  [ Rik Mills]
  * Priority 'extra' deprecated in favour of 'optional'.

  [ Simon Quigley ]
  * Add my name to Uploaders and move to the Debian Qt/KDE Team umbrella
    (Closes: #826428).
  * Add missing runtime dependencies (Closes: #820496, #889672).
  * Bump debhelper compat to 11.
  * Bump Standards-version to 4.1.3, no changes needed.
  * Migrate to using dbgsym packages instead of explicitly defining a -
    dbg package in debian/control.
  * Move the Vcs-* links to Salsa.

  [ Sébastien Villemot ]
  * Complete overhaul of debian/copyright.
  * Fix versioned Recommends of gcompris-qt-data on gcompris-qt.
  * Add a transitional "gcompris" package (with an epoch in its version
    number) to facilitate the transition from older versions to the Qt
    rewrite. (Closes: #875912)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 08 Mar 2018 15:13:28 +0100

gcompris-qt (0.81-0ubuntu1) artful; urgency=medium

  * New upstream bugfix release (0.81)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 28 Sep 2017 15:05:34 +0100

gcompris-qt (0.80-0ubuntu1) artful; urgency=medium

  [ Jonathan Riddell ]
  * New release

  [ Clive Johnston ]
  * New release for Ubuntu (Thanks to neon)
  * New upstream release (0.80)

 -- Clive Johnston <clivejo@kubuntu.org>  Tue, 15 Aug 2017 23:18:26 +0100

gcompris-qt (0.61-1) xenial; urgency=medium

  * Neon fork, new upstream release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 18 Oct 2016 08:32:03 -0700

gcompris-qt (0.50-3) unstable; urgency=medium

  * Complete copyright information.
  * Removed useless build-dep on qtquick1 (Closes: #824958).
  * Update debian/watch with filenamemangle.  Still lacks a proper
    downloadurlmangle, but that should confuse uscan less already.

 -- Yann Dirson <dirson@debian.org>  Sat, 04 Jun 2016 22:29:51 +0200

gcompris-qt (0.50-2) unstable; urgency=medium

  * The "not yet 1500-lines debian/copyright" release.
  * Added src/activities/instruments/resource/drum_kit.ogg and
    src/activities/details/details.svg to debian/copyright (spotted by
    Thorsten Alteholz).  Plus a number of PNG and SVG files containing a
    public domain notice.
  * Include upstream patch to support building without qml-box2d, which
    should be separately packaged before we can properly use it.
  * Include modification to allow the build to proceed without the
    qml-box2d submodule source.

 -- Yann Dirson <dirson@debian.org>  Tue, 15 Mar 2016 23:24:36 +0100

gcompris-qt (0.50-1) unstable; urgency=medium

  * New upstream release.
    * New build-dependency libqt5sensors5-dev.
    * Update orig-tarball build instructions for qml-box2d submodule.
    * New GPL-3+ activities.
    * New CC-0-licensed files from OpenClipart, using copyright text
      from openclipart2-svg package.
    * New public-domain chess engine
    * New paintings CC-BY-SA || GFDL-1.2 || GPLv3 from WebMuseum (despite
      src/activities/paintings/resource/image/README telling that the
      WebMuseum license is only GFDL).

 -- Yann Dirson <dirson@debian.org>  Tue, 29 Dec 2015 00:00:37 +0100

gcompris-qt (0.43-1) unstable; urgency=low

  * Initial release (Closes: #778450)

 -- Yann Dirson <dirson@debian.org>  Sat, 17 Oct 2015 22:54:28 +0200
